diff --git a/src/opencl_DES_bs_plug.c b/src/opencl_DES_bs_plug.c
index 03b8c69b05..81713a6792 100644
--- a/src/opencl_DES_bs_plug.c
+++ b/src/opencl_DES_bs_plug.c
@@ -1024,8 +1024,7 @@ char *opencl_DES_bs_get_key(int index)
 	}
 
 	if (section > global_work_size) {
-		fprintf(stderr, "Get key error! %d "Zu"\n", section,
-			global_work_size);
+		//fprintf(stderr, "Get key error! %d "Zu"\n", section, global_work_size);
 		section = 0;
 	}
 
diff --git a/src/opencl_lm.h b/src/opencl_lm.h
index ccced2fc46..5f5feca843 100644
--- a/src/opencl_lm.h
+++ b/src/opencl_lm.h
@@ -50,8 +50,7 @@
 	}								\
 									\
 	if (section > global_work_size ) {				\
-		fprintf(stderr, "Get key error! %u "Zu"\n", section,	\
-			global_work_size);				\
+		/*fprintf(stderr, "Get key error! %u "Zu"\n", section, global_work_size);*/ \
 		section = 0;						\
 		block = 0;						\
 	}								\
diff --git a/src/opencl_lm_b_plug.c b/src/opencl_lm_b_plug.c
index 0b87d4fe12..f122dd36ac 100644
--- a/src/opencl_lm_b_plug.c
+++ b/src/opencl_lm_b_plug.c
@@ -1111,8 +1111,7 @@ static char *get_key_mm(int index)
 	}
 
 	if (section > global_work_size ) {
-		fprintf(stderr, "Get key error! %u "Zu"\n", section,
-			global_work_size);
+		//fprintf(stderr, "Get key error! %u "Zu"\n", section, global_work_size);
 		section = 0;
 		depth = 0;
 		iter = 0;
diff --git a/src/opencl_mscash_fmt_plug.c b/src/opencl_mscash_fmt_plug.c
index 16965eeb56..160ce78dd5 100644
--- a/src/opencl_mscash_fmt_plug.c
+++ b/src/opencl_mscash_fmt_plug.c
@@ -531,7 +531,7 @@ static char *get_key(int index)
 	}
 
 	if (t > global_work_size) {
-		fprintf(stderr, "Get key error! %d %d\n", t, index);
+		//fprintf(stderr, "Get key error! %d %d\n", t, index);
 		t = 0;
 	}
 
diff --git a/src/opencl_nsldap_fmt_plug.c b/src/opencl_nsldap_fmt_plug.c
index 3ecdf45bfc..19ff476521 100644
--- a/src/opencl_nsldap_fmt_plug.c
+++ b/src/opencl_nsldap_fmt_plug.c
@@ -432,7 +432,7 @@ static char *get_key(int index)
 	}
 
 	if (t > global_work_size) {
-		fprintf(stderr, "Get key error! %d %d\n", t, index);
+		//fprintf(stderr, "Get key error! %d %d\n", t, index);
 		t = 0;
 	}
 
diff --git a/src/opencl_nt_fmt_plug.c b/src/opencl_nt_fmt_plug.c
index f30c0a1591..a4a75941bb 100644
--- a/src/opencl_nt_fmt_plug.c
+++ b/src/opencl_nt_fmt_plug.c
@@ -553,7 +553,7 @@ static char *get_key(int index)
 	}
 
 	if (t > global_work_size) {
-		fprintf(stderr, "Get key error! %d %d\n", t, index);
+		//fprintf(stderr, "Get key error! %d %d\n", t, index);
 		t = 0;
 	}
 
diff --git a/src/opencl_rawmd4_fmt_plug.c b/src/opencl_rawmd4_fmt_plug.c
index 8e8768799c..f8117d394f 100644
--- a/src/opencl_rawmd4_fmt_plug.c
+++ b/src/opencl_rawmd4_fmt_plug.c
@@ -426,7 +426,7 @@ static char *get_key(int index)
 	}
 
 	if (t > global_work_size) {
-		fprintf(stderr, "Get key error! %d %d\n", t, index);
+		//fprintf(stderr, "Get key error! %d %d\n", t, index);
 		t = 0;
 	}
 
diff --git a/src/opencl_rawmd5_fmt_plug.c b/src/opencl_rawmd5_fmt_plug.c
index 9083d9f04b..4d3a821b33 100644
--- a/src/opencl_rawmd5_fmt_plug.c
+++ b/src/opencl_rawmd5_fmt_plug.c
@@ -423,7 +423,7 @@ static char *get_key(int index)
 	}
 
 	if (t > global_work_size) {
-		fprintf(stderr, "Get key error! %d %d\n", t, index);
+		//fprintf(stderr, "Get key error! %d %d\n", t, index);
 		t = 0;
 	}
 
diff --git a/src/opencl_rawsha1_fmt_plug.c b/src/opencl_rawsha1_fmt_plug.c
index e5813861db..74794f73a7 100644
--- a/src/opencl_rawsha1_fmt_plug.c
+++ b/src/opencl_rawsha1_fmt_plug.c
@@ -446,7 +446,7 @@ static char *get_key(int index)
 	}
 
 	if (t > global_work_size) {
-		fprintf(stderr, "Get key error! %d %d\n", t, index);
+		//fprintf(stderr, "Get key error! %d %d\n", t, index);
 		t = 0;
 	}
 
diff --git a/src/opencl_rawsha256_fmt_plug.c b/src/opencl_rawsha256_fmt_plug.c
index 13d64d8604..fe7e91e757 100644
--- a/src/opencl_rawsha256_fmt_plug.c
+++ b/src/opencl_rawsha256_fmt_plug.c
@@ -423,9 +423,9 @@ static char * get_key(int index)
 	//Mask Mode plaintext recovery.
 	//TODO: ### remove me.
 	if (t > global_work_size) {
-		fprintf(stderr,
+		/*fprintf(stderr,
 			"Get key error! t: %d gws: "Zu" index: %d int_index: %d\n",
-			t, global_work_size, index, int_index);
+			t, global_work_size, index, int_index);*/
 		t = 0;
 	}
 	memcpy(ret, ((char *) &plaintext[saved_idx[t] >> 6]), PLAINTEXT_LENGTH);
diff --git a/src/opencl_rawsha512_ng_fmt_plug.c b/src/opencl_rawsha512_ng_fmt_plug.c
index 247e62acde..3ac9ace938 100644
--- a/src/opencl_rawsha512_ng_fmt_plug.c
+++ b/src/opencl_rawsha512_ng_fmt_plug.c
@@ -491,9 +491,9 @@ static char * get_key(int index)
 	//Mask Mode plaintext recovery.
 	//TODO: ### remove me.
 	if (t > global_work_size) {
-		fprintf(stderr,
+		/*fprintf(stderr,
 			"Get key error! t: %d gws: "Zu" index: %d int_index: %d\n",
-			t, global_work_size, index, int_index);
+			t, global_work_size, index, int_index);*/
 		t = 0;
 	}
 	memcpy(ret, ((char *) &plaintext[saved_idx[t] >> 6]), PLAINTEXT_LENGTH);
diff --git a/src/opencl_salted_sha_fmt_plug.c b/src/opencl_salted_sha_fmt_plug.c
index 73d7991e26..d309d6e858 100644
--- a/src/opencl_salted_sha_fmt_plug.c
+++ b/src/opencl_salted_sha_fmt_plug.c
@@ -510,7 +510,7 @@ static char *get_key(int index)
 	}
 
 	if (t > global_work_size) {
-		fprintf(stderr, "Get key error! %d %d\n", t, index);
+		//fprintf(stderr, "Get key error! %d %d\n", t, index);
 		t = 0;
 	}
 
